# Markdown 資源

![](https://markdown.tw/images/208x128.png)

## Spec

* [CommonMark](http://commonmark.org/)

## Logo

* [The Markdown Mark](http://dcurt.is/the-markdown-mark)

## 社群

* [Facebook Markdown 台灣 Group](https://www.facebook.com/groups/830853873715381/)

## 編輯器

### 寫作用編輯器

* OSX
    * [Typora](http://typora.io/)
    * [MacDown](http://macdown.uranusjr.com/)
    * [Byword](http://bywordapp.com/)
    * [iA Writer](http://www.iawriter.com/mac/)
    * [Mouapp](http://mouapp.com/)
    * [TEXTS](http://www.texts.io/)
    * [Kobito](http://kobito.qiita.com/)
* Linux
    * [ReText](http://sourceforge.net/p/retext/home/ReText/)
    * [UberWriter](http://uberwriter.wolfvollprecht.de/)
* Windows
    * [MarkdownPad](http://markdownpad.com/)
    * [TEXTS](http://www.texts.io/)
    * [Miu](https://miu.0x142857.com)
* iOS
    * [Byword](http://bywordapp.com/)
    * [iA Writer for iPad](http://www.iawriter.com/ipad/)
    * [iA Writer for iPhone](http://www.iawriter.com/iphone/)
* All
    * [Marp](https://yhatt.github.io/marp/), Markdown to slide


### 預覽

* OSX
    * [Marked](https://itunes.apple.com/us/app/marked/id448925439)

### 通用文字編輯器

* [Sublime Text](http://www.sublimetext.com/)
* Vim
    * [plasticboy/vim-markdown](https://github.com/plasticboy/vim-markdown)
    * [tpope/vim-markdown](https://github.com/tpope/vim-markdown)

### 網頁文字編輯器

* [Ace](http://ace.ajax.org/)
* [CodeMirror](http://codemirror.net/)
* [Dillinger](http://dillinger.io/)
* [EpicEditor](http://oscargodson.github.io/EpicEditor/)
* [Markgiu](https://github.com/bianchimro/markgiu)

### 瀏覽器 Extension

* [Markdown Here](https://github.com/adam-p/markdown-here/)

## 變形版 Markdown

* [GitHub Flavored Markdown](https://help.github.com/articles/github-flavored-markdown)
    * [Spec](https://github.github.com/gfm/)
    * [Source](https://github.com/github/cmark-gfm)
* [GitLab Flavored Markdown](https://gitlab.com/help/user/markdown)
* [kramdown](http://kramdown.rubyforge.org/quickref.html#headers)
* [MultiMarkdown](http://fletcherpenney.net/multimarkdown/)
* [Pandoc's markdown](http://johnmacfarlane.net/pandoc/README.html#pandocs-markdown)
    * [Pandoc’s Markdown 語法中文翻譯](http://pages.tzengyuxio.me/pandoc/)
* [PHP Markdown Extra](http://michelf.ca/projects/php-markdown/extra/)
* [R Markdown](https://rmarkdown.rstudio.com/)
* [Maruka](http://markua.com/)
* [API Blueprint](https://apiblueprint.org/)
* [MSON](https://apiblueprint.org/documentation/mson/tutorial.html)
* [Reddit-flavored Markdown](https://www.reddit.com/wiki/markdown)
    * [Binding](https://github.com/zeantsoi/snoomark-binding)

## 引擎

* C
    * [cmark](https://github.com/jgm/cmark)
    * [cmark-gfm](https://github.com/github/cmark-gfm)
    * [Sundown](https://github.com/vmg/sundown) 
* JavaScript
    * [commonmark.js](https://github.com/jgm/commonmark.js)
    * [showdown](https://github.com/cky/wmd), not maintained any more
    * [pagedown](https://github.com/StackExchange/pagedown), StackOverflow
    * [coreyti/showdown](https://github.com/coreyti/showdown)
    * [marked](https://github.com/chjj/marked)
    * [Remarkable](https://jonschlinkert.github.io/remarkable/demo/)
* PHP
    * [PHP Markdown](http://michelf.ca/projects/php-markdown/)
* Python
    * [CommonMark](https://pypi.python.org/pypi/CommonMark)
* Ruby
    * [Redcarpet](https://github.com/vmg/redcarpet) 
    * [Maruku](https://github.com/bhollis/maruku)
* Rust
    * [comark](https://github.com/kivikakk/comrak)
    * [pulldown-cmark](https://github.com/raphlinus/pulldown-cmark)

## 反向引擎

* [reMarked.js](https://leeoniya.github.io/reMarked.js/)

## 其它用途引擎

* [maildown](https://anydown.github.io/maildown/), 轉為日本常用商業郵件格式
* [電電 Markdown](https://conv.denshochan.com/tw/markdown)，擴充語法，轉為電子書，非開源
* [mdx](https://github.com/mdx-js/mdx) Markdown in JSX
* [mdx-deck](https://github.com/jxnblk/mdx-deck) MDX-based presentation decks
* [mdxc](https://github.com/jamesknelson/mdxc) Convert markdown to React Component

## Blog 服務

* [WordPress.com](http://wordpress.com/)
* [logdown](http://logdown.com/)

## Blog 系統

* [WordPress](http://wordpress.org/)
* [MOVABLETYPE](http://www.movabletype.org/)

## 其它服務

* [HackMD](https://hackmd.io/)

## CSS

* [Markdown css themes](http://jasonm23.github.io/markdown-css-themes/)
* [Markdown.css](http://mrcoles.com/demo/markdown-css/)

## 其他工具

* [Doxygen](http://www.stack.nl/~dimitri/doxygen/manual/markdown.html)

## 標準

* [Markdown](http://daringfireball.net/projects/markdown/)
* [The Future of Markdown](http://www.codinghorror.com/blog/2012/10/the-future-of-markdown.html)
* [W3C Markdown Community Group](http://www.w3.org/community/markdown/)
* [W3C Markdown Community Group wiki](http://www.w3.org/community/markdown/wiki/Main_Page)

## 文章

* [Standard Flavored Markdown](https://blog.codinghorror.com/standard-flavored-markdown/) - 標準化緣起

## 感謝

感謝 [WM](http://kidwm.net/) 協助整理
